#include <iostream>
#include <bits/stdc++.h>

using namespace std;

struct grana
{
	char c;
	node* slc;
	grana* slg;
};

struct node
{
	int data;
	grana* head;
};


int main(int argc, char** argv) 
{
	
	return 0;
}